#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys

try:
    import pygtk
    pygtk.require("2.0")
except:
      pass
  
try:
    import gtk
    import gtk.glade
except:
    print "gtk not found"
    sys.exit(1)


class HellowWorldGTK:
    """This is an Hello World GTK application"""

    def __init__(self):
        
        #Set the Glade file
        self.gladefile = "gladetest.glade"  
        self.wTree = gtk.glade.XML(self.gladefile) 
        
        #Get the Main Window, and connect the "destroy" event
        self.window = self.wTree.get_widget("MainWindow")
        if (self.window):
            self.window.connect("destroy", gtk.main_quit)

if __name__ == "__main__":
    hwg = HellowWorldGTK()
    gtk.main()
