# -*- coding: utf-8 -*-
"""Launching external scripts and programs
"""
import time
import threading

import subprocess
import logger
import globals as G
import os.path

log = logger.getLogger()

def runScript(file, parallel='False'):
    log.debug("%s: paralel %s" % ( file, parallel ))
    pid = None
    
    """@todo: catch pid and bild up structure of process"""     
    """@todo: Propagate error return code""" 
    #todo: assign stdin, stdout, stderr - to pipes""" 
    
    newcwd = os.path.abspath(   os.path.split(file)[0]   ) 
    file   = os.path.split(file)[1]

    file = file.encode("cp1250") 
    
    if parallel == 'False':
       retcode = subprocess.call( file, shell=True, cwd=newcwd )
    else:
       pid = subprocess.Popen([file, ""], shell=True, cwd=newcwd ).pid  
    
    log.debug("new process pid: %s " % ( pid ))
    return pid            
                        
def runFromExecutionTable(eTable):        
    log.debug("%s:" % ( eTable.mountpoint ))
    for row in eTable.executionTable:
        runScript(row[1], row[2])
     
         