# -*- coding: utf-8 -*-

import logging
from logging import getLogger

class SetLogger:
   
   def __init__(self, level):
       logging.basicConfig(
               format='--> %(levelname)s %(module)s %(funcName)s /\ %(message)s',
               #format='%(asctime)s %(levelname)s  ///%(module)s %(funcName)s %(msecs)d /// %(message)s',
               #datefmt='%y%m%d %H:%M:%S',
               filemode='w')

       self.log = logging.getLogger()
       self.log.setLevel(level)
       self.log.debug('Logger created')

   def getLogger(self):
       self.log.debug('')
       return self.log